Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class WSDLSerializationUtil

    java.lang.Object
      org.apache.axis2.util.WSDLSerializationUtil

    public class WSDLSerializationUtil

extends Object

Helps the AxisService to WSDL process

Field Summary
`static String` | `CDATA_END`
`static String` | `CDATA_END_REGEX`
`static String` | `CDATA_START`
`static String` | `CDATA_START_REGEX`

Constructor Summary
`WSDLSerializationUtil()`

Method Summary
`static void` | `addExtensionElement(org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMElement element, String name, String att1Name, String att1Value, org.apache.axiom.om.OMNamespace soapNameSpace)`
`static void` | `addHTTPHeaderElements(org.apache.axiom.om.OMFactory omFactory, ArrayList list, org.apache.axiom.om.OMNamespace whttp, org.apache.axiom.om.OMElement element, Map nameSpaceMap)` Adds a HTTP header element to a given OMElement
`static void` | `addPoliciesAsExtensibleElement(AxisDescription description, org.apache.axiom.om.OMElement descriptionElement)`
`static void` | `addSOAPHeaderElements(org.apache.axiom.om.OMFactory omFactory, ArrayList list, org.apache.axiom.om.OMNamespace wsoap, org.apache.axiom.om.OMElement element, Map nameSpaceMap)` Adds a soap header element to a given OMElement
`static void` | `addSOAPModuleElements(org.apache.axiom.om.OMFactory omFactory, ArrayList list, org.apache.axiom.om.OMNamespace wsoap, org.apache.axiom.om.OMElement element)` Adds a soap module element to a given OMElement
`static void` | `addWSAddressingToBinding(String addressingFlag, org.apache.axiom.om.OMFactory omFactory, org.apache.axiom.om.OMElement bindingElement, org.apache.axiom.om.OMNamespace wsaw)`
`static void` | `addWSAWActionAttribute(org.apache.axiom.om.OMElement element, String action, org.apache.axiom.om.OMNamespace wsaw)`
`static void` | `addWSDLDocumentationElement(AxisDescription axisDescription, org.apache.axiom.om.OMElement omElement, org.apache.axiom.om.OMFactory omFactory, org.apache.axiom.om.OMNamespace wsdl)`
`static String` | `extractHostIP(String serviceURL)`
`static org.apache.axiom.om.OMElement` | `generateHTTPBinding(org.apache.axiom.om.OMFactory fac, AxisService axisService, org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace whttp, org.apache.axiom.om.OMNamespace tns, String serviceName)` Generates a default HTTP Binding for a given AxisService
`static org.apache.axiom.om.OMElement` | `generateServiceElement(org.apache.axiom.om.OMFactory omFactory, org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace tns, AxisService axisService, boolean disableREST, boolean disableSOAP12, boolean disableSOAP11, String serviceName)` Generates a default service element
`static org.apache.axiom.om.OMElement` | `generateServiceElement(org.apache.axiom.om.OMFactory omFactory, org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace tns, AxisService axisService, boolean disableREST, boolean disableSOAP12, boolean disableSOAP11, String[] eprs, String serviceName)` Generates a default service element
`static org.apache.axiom.om.OMElement` | `generateSOAP11Binding(org.apache.axiom.om.OMFactory fac, AxisService axisService, org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace wsoap, org.apache.axiom.om.OMNamespace tns, String serviceName)` Generates a default SOAP 11 Binding for a given AxisService
`static org.apache.axiom.om.OMElement` | `generateSOAP12Binding(org.apache.axiom.om.OMFactory fac, AxisService axisService, org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace wsoap, org.apache.axiom.om.OMNamespace tns, String serviceName)` Generates a default SOAP 12 Binding for a given AxisService
`static String` | `getElementName(AxisMessage axisMessage, Map nameSpaceMap)` Gets the correct element name for a given message
`static String` | `getPrefix(String namespace, Map<String,String> nameSpaceMap)` Given a namespace it returns the prefix for that namespace
`static void` | `populateNamespaces(org.apache.axiom.om.OMElement descriptionElement, Map nameSpaceMap)` Adds the namespaces to the given OMElement

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CDATA_START

    public static final String CDATA_START

See Also:
  Constant Field Values

### CDATA_START_REGEX

    public static final String CDATA_START_REGEX

See Also:
  Constant Field Values

### CDATA_END

    public static final String CDATA_END

See Also:
  Constant Field Values

### CDATA_END_REGEX

    public static final String CDATA_END_REGEX

See Also:
  Constant Field Values

Constructor Detail

### WSDLSerializationUtil

    public WSDLSerializationUtil()

Method Detail

### getPrefix

    public static String getPrefix(String namespace,
                                   Map<String,String> nameSpaceMap)

  Given a namespace it returns the prefix for that namespace

  Parameters:
    `namespace` - - The namespace that the prefix is needed for
    `nameSpaceMap` - - The namespaceMap
  Returns:
    - The prefix of the namespace

### getElementName

    public static String getElementName(AxisMessage axisMessage,
                                        Map nameSpaceMap)

  Gets the correct element name for a given message

  Parameters:
    `axisMessage` - - The axisMessage
    `nameSpaceMap` - - The namespaceMap
  Returns:
    - The element name

### addSOAPHeaderElements

    public static void addSOAPHeaderElements(org.apache.axiom.om.OMFactory omFactory,
                                             ArrayList list,
                                             org.apache.axiom.om.OMNamespace wsoap,
                                             org.apache.axiom.om.OMElement element,
                                             Map nameSpaceMap)

  Adds a soap header element to a given OMElement

  Parameters:
    `omFactory` - - An OMFactory
    `list` - - The arraylist of soapHeaderMessages
    `wsoap` - - The WSDL 2.0 SOAP namespace
    `element` - - The element that the header should be added to
    `nameSpaceMap` - - The namespaceMap

### addSOAPModuleElements

    public static void addSOAPModuleElements(org.apache.axiom.om.OMFactory omFactory,
                                             ArrayList list,
                                             org.apache.axiom.om.OMNamespace wsoap,
                                             org.apache.axiom.om.OMElement element)

  Adds a soap module element to a given OMElement

  Parameters:
    `omFactory` - - An OMFactory
    `list` - - The arraylist of soapModuleMessages
    `wsoap` - - The WSDL 2.0 SOAP namespace
    `element` - - The element that the header should be added to

### addHTTPHeaderElements

    public static void addHTTPHeaderElements(org.apache.axiom.om.OMFactory omFactory,
                                             ArrayList list,
                                             org.apache.axiom.om.OMNamespace whttp,
                                             org.apache.axiom.om.OMElement element,
                                             Map nameSpaceMap)

  Adds a HTTP header element to a given OMElement

  Parameters:
    `omFactory` - - An OMFactory
    `list` - - The arraylist of HTTPHeaderMessages
    `whttp` - - The WSDL 2.0 HTTP namespace
    `element` - - The element that the header should be added to
    `nameSpaceMap` - - The namespaceMap

### generateSOAP11Binding

    public static org.apache.axiom.om.OMElement generateSOAP11Binding(org.apache.axiom.om.OMFactory fac,
                                                                      AxisService axisService,
                                                                      org.apache.axiom.om.OMNamespace wsdl,
                                                                      org.apache.axiom.om.OMNamespace wsoap,
                                                                      org.apache.axiom.om.OMNamespace tns,
                                                                      String serviceName)

  Generates a default SOAP 11 Binding for a given AxisService

  Parameters:
    `fac` - - The OMFactory
    `axisService` - - The AxisService
    `wsdl` - the WSDL namespace
    `wsoap` - - The WSDL 2.0 SOAP namespace
    `tns` - - The target namespace
  Returns:
    - The generated SOAP11Binding element

### generateSOAP12Binding

    public static org.apache.axiom.om.OMElement generateSOAP12Binding(org.apache.axiom.om.OMFactory fac,
                                                                      AxisService axisService,
                                                                      org.apache.axiom.om.OMNamespace wsdl,
                                                                      org.apache.axiom.om.OMNamespace wsoap,
                                                                      org.apache.axiom.om.OMNamespace tns,
                                                                      String serviceName)

  Generates a default SOAP 12 Binding for a given AxisService

  Parameters:
    `fac` - - The OMFactory
    `axisService` - - The AxisService
    `wsdl` - the WSDL namespace
    `wsoap` - - The WSDL 2.0 SOAP namespace
    `tns` - - The target namespace
  Returns:
    - The generated SOAP12Binding element

### generateHTTPBinding

    public static org.apache.axiom.om.OMElement generateHTTPBinding(org.apache.axiom.om.OMFactory fac,
                                                                    AxisService axisService,
                                                                    org.apache.axiom.om.OMNamespace wsdl,
                                                                    org.apache.axiom.om.OMNamespace whttp,
                                                                    org.apache.axiom.om.OMNamespace tns,
                                                                    String serviceName)

  Generates a default HTTP Binding for a given AxisService

  Parameters:
    `fac` - - The OMFactory
    `axisService` - - The AxisService
    `wsdl` - the WSDL namespace
    `whttp` - - The WSDL 2.0 HTTP namespace
    `tns` - - The target namespace
  Returns:
    - The generated HTTPBinding element

### generateServiceElement

    public static org.apache.axiom.om.OMElement generateServiceElement(org.apache.axiom.om.OMFactory omFactory,
                                                                       org.apache.axiom.om.OMNamespace wsdl,
                                                                       org.apache.axiom.om.OMNamespace tns,
                                                                       AxisService axisService,
                                                                       boolean disableREST,
                                                                       boolean disableSOAP12,
                                                                       boolean disableSOAP11,
                                                                       String serviceName)
                                                                throws AxisFault

  Generates a default service element

  Parameters:
    `omFactory` - - The OMFactory
    `wsdl` - the WSDL namespace
    `tns` - - The targetnamespace
    `axisService` - - The AxisService
    `disableREST` - only generate REST endpoint if this is false
    `disableSOAP12` - only generate SOAP 1.2 endpoint if this is false
  Returns:
    - The generated service element
  Throws:
    `AxisFault` - - Thrown in case an exception occurs

### generateServiceElement

    public static org.apache.axiom.om.OMElement generateServiceElement(org.apache.axiom.om.OMFactory omFactory,
                                                                       org.apache.axiom.om.OMNamespace wsdl,
                                                                       org.apache.axiom.om.OMNamespace tns,
                                                                       AxisService axisService,
                                                                       boolean disableREST,
                                                                       boolean disableSOAP12,
                                                                       boolean disableSOAP11,
                                                                       String[] eprs,
                                                                       String serviceName)
                                                                throws AxisFault

  Generates a default service element

  Parameters:
    `omFactory` - - The OMFactory
    `wsdl` - the WSDL namespace
    `tns` - - The targetnamespace
    `axisService` - - The AxisService
    `disableREST` - only generate REST endpoint if this is false
    `disableSOAP12` - only generate SOAP 1.2 endpoint if this is false
  Returns:
    - The generated service element
  Throws:
    `AxisFault` - - Thrown in case an exception occurs

### populateNamespaces

    public static void populateNamespaces(org.apache.axiom.om.OMElement descriptionElement,
                                          Map nameSpaceMap)

  Adds the namespaces to the given OMElement

  Parameters:
    `descriptionElement` - - The OMElement that the namespaces should be added to
    `nameSpaceMap` - - The namespaceMap

### addWSAWActionAttribute

    public static void addWSAWActionAttribute(org.apache.axiom.om.OMElement element,
                                              String action,
                                              org.apache.axiom.om.OMNamespace wsaw)

### addExtensionElement

    public static void addExtensionElement(org.apache.axiom.om.OMFactory fac,
                                           org.apache.axiom.om.OMElement element,
                                           String name,
                                           String att1Name,
                                           String att1Value,
                                           org.apache.axiom.om.OMNamespace soapNameSpace)

### addWSAddressingToBinding

    public static void addWSAddressingToBinding(String addressingFlag,
                                                org.apache.axiom.om.OMFactory omFactory,
                                                org.apache.axiom.om.OMElement bindingElement,
                                                org.apache.axiom.om.OMNamespace wsaw)

### addWSDLDocumentationElement

    public static void addWSDLDocumentationElement(AxisDescription axisDescription,
                                                   org.apache.axiom.om.OMElement omElement,
                                                   org.apache.axiom.om.OMFactory omFactory,
                                                   org.apache.axiom.om.OMNamespace wsdl)

### addPoliciesAsExtensibleElement

    public static void addPoliciesAsExtensibleElement(AxisDescription description,
                                                      org.apache.axiom.om.OMElement descriptionElement)

### extractHostIP

    public static String extractHostIP(String serviceURL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.